Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2008)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2011)
@@ -1626,19 +3019,15 @@
         REAL(wp), PARAMETER                    :: grow_factor = 1.5_wp
 
-        !-- Maximum number of gridboxes visited equals to maximum number of boundaries crossed in each dimension plus one. That's also
-        !-- the maximum number of plant canopy boxes written. We grow the acsf array accordingly using exponential factor.
+!--     Maximum number of gridboxes visited equals to maximum number of boundaries crossed in each dimension plus one. That's also
+!--     the maximum number of plant canopy boxes written. We grow the acsf array accordingly using exponential factor.
         maxboxes = SUM(ABS(NINT(targ) - NINT(src))) + 1
-        !IF ( debug_prints ) THEN
-        !    WRITE(9, *) 'Raytracing from ', src, ' to ', targ, ' with max ', maxboxes, ' boxes, ncsfl = ', ncsfl, ', ncsfla = ', ncsfla
-        !    FLUSH(9)
-        !ENDIF
         IF ( plant_canopy  .AND.  ncsfl + maxboxes > ncsfla )  THEN
-            !-- use this code for growing by fixed exponential increments (equivalent to case where ncsfl always increases by 1)
-            !-- k = CEILING(grow_factor ** real(CEILING(log(real(ncsfl + maxboxes, kind=wp)) &
-            !--                                        / log(grow_factor)), kind=wp))
-            !-- or use this code to simply always keep some extra space after growing
+!--         use this code for growing by fixed exponential increments (equivalent to case where ncsfl always increases by 1)
+!--         k = CEILING(grow_factor ** real(CEILING(log(real(ncsfl + maxboxes, kind=wp)) &
+!--                                                / log(grow_factor)), kind=wp))
+!--         or use this code to simply always keep some extra space after growing
             k = CEILING(REAL(ncsfl + maxboxes, kind=wp) * grow_factor)
 
-            CALL merge_and_grow_csf(k)
+            CALL usm_merge_and_grow_csf(k)
         ENDIF
         
@@ -1648,5 +3037,5 @@
         delta(:) = targ(:) - src(:)
         distance = SQRT(SUM(delta(:)**2))
-        IF (distance == 0._wp) THEN
+        IF ( distance == 0._wp )  THEN
             visible = .TRUE.
             RETURN
@@ -1657,12 +3046,12 @@
         lastdist = 0._wp
 
-        !-- Since all face coordinates have values *.5 and we'd like to use
-        !-- integers, all these have .5 added
+!--     Since all face coordinates have values *.5 and we'd like to use
+!--     integers, all these have .5 added
         DO d = 1, 3
-            IF ( uvect(d) == 0._wp ) THEN
+            IF ( uvect(d) == 0._wp )  THEN
                 dimnext(d) = 999999999
                 dimdelta(d) = 999999999
                 dimnextdist(d) = 1.0E20_wp
-            ELSE IF ( uvect(d) > 0._wp ) THEN
+            ELSE IF ( uvect(d) > 0._wp )  THEN
                 dimnext(d) = CEILING(src(d) + .5_wp)
                 dimdelta(d) = 1
@@ -1675,11 +3064,6 @@
         ENDDO
 
-!       dimnextdist(:) = (dimnext(:) - .5_wp - src(:)) / uvect(:)
-                        ! will assign Infinity to those dimensions that have
-                        ! uvect==0, which is supported by minloc
-                        !kanani: with ifort compiler option -fpe0 we get error "division by zero"; there must be a compiler-independent way to handle the setting of dimnextdist to infinity in case of uvect==0. --> This is accounted for in the above DO loop
-
         DO
-            !-- along what dimension will the next wall crossing be?
+!--         along what dimension will the next wall crossing be?
             seldim = minloc(dimnextdist, 1)
             nextdist = dimnextdist(seldim)
@@ -1687,18 +3071,18 @@
 
             crlen = nextdist - lastdist
-            IF (crlen > .001_wp) THEN
+            IF ( crlen > .001_wp )  THEN
                 crmid = (lastdist + nextdist) * .5_wp
                 box = NINT(src(:) + uvect(:) * crmid)
 
-                !-- calculate index of the grid with global indices (box(2),box(3))
-                !-- in the array nzterr and plantt and id of the coresponding processor
+!--             calculate index of the grid with global indices (box(2),box(3))
+!--             in the array nzterr and plantt and id of the coresponding processor
                 px = box(3)/nnx
                 py = box(2)/nny
                 ip = px*pdims(2)+py
                 ig = ip*nnx*nny + (box(3)-px*nnx)*nny + box(2)-py*nny
-                IF ( box(1) <= nzterr(ig) ) THEN
+                IF ( box(1) <= nzterr(ig) )  THEN
                     visible = .FALSE.
-                    IF ( ncsb > 0 ) THEN
-                        !-- rewind written plant canopy sink factors - they are invalid
+                    IF ( ncsb > 0 )  THEN
+!--                     rewind written plant canopy sink factors - they are invalid
                         ncsfl = ncsfl - ncsb
                     ENDIF
@@ -1706,14 +3090,14 @@
                 ENDIF
 
-                IF (plant_canopy) THEN
-                    IF ( box(1) <= plantt(ig) ) THEN
+                IF ( plant_canopy )  THEN
+                    IF ( box(1) <= plantt(ig) )  THEN
 #if defined( __parallel )
                         lad_disp = (box(3)-px*nnx)*(nny*nzu) + (box(2)-py*nny)*nzu + box(1)-nzub
                         IF ( usm_lad_rma )  THEN
-                            !-- Read LAD using MPI RMA
+!--                         Read LAD using MPI RMA
                             CALL cpu_log( log_point_s(77), 'usm_init_rma', 'start' )
                             CALL MPI_Get(lad_s_target, 1, MPI_REAL, ip, lad_disp, 1, MPI_REAL, &
                                 win_lad, ierr)
-                            IF ( ierr /= 0 ) THEN
+                            IF ( ierr /= 0 )  THEN
                                 WRITE(message_string, *) 'MPI error ', ierr, ' at MPI_Get'
                                 CALL message( 'usm_raytrace', 'PA0519', 1, 2, 0, 6, 0 )
@@ -1721,5 +3105,5 @@
                             
                             CALL MPI_Win_flush_local(ip, win_lad, ierr)
-                            IF ( ierr /= 0 ) THEN
+                            IF ( ierr /= 0 )  THEN
                                 WRITE(message_string, *) 'MPI error ', ierr, ' at MPI_Win_flush_local'
                                 CALL message( 'usm_raytrace', 'PA0519', 1, 2, 0, 6, 0 )
@@ -1735,6 +3119,6 @@
                             * crlen*realdist)
 
-                        IF ( create_csf ) THEN
-                            !-- write svf values into the array
+                        IF ( create_csf )  THEN
+!--                         write svf values into the array
                             ncsb = ncsb + 1
                             ncsfl = ncsfl + 1
@@ -1744,5 +3128,5 @@
                             acsf(ncsfl)%itz = box(1)
                             acsf(ncsfl)%isurfs = isrc
-                            acsf(ncsfl)%rsvf = REAL(cursink*rirrf*atarg, wp)!we postpone multiplication by transparency
+                            acsf(ncsfl)%rsvf = REAL(cursink*rirrf*atarg, wp) !-- we postpone multiplication by transparency
                             acsf(ncsfl)%rtransp = REAL(transparency, wp)
                         ENDIF  !< create_csf
